package cs

import (
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/requests"
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/responses"
)

// OrderTemplate 工单模板
type OrderTemplate struct {
	Id            int64        `json:"id"`
	Name          string       `json:"name"`
	UniqueCode    string       `json:"unique_code"`
	CreatedAt     string       `json:"created_at"`
	UpdatedAt     string       `json:"updated_at"`
	TemplateParts []*OrderPart `json:"template_parts"`
}

// OrderPart 工单字段
type OrderPart struct {
	Id          int64  `json:"id"`
	PartName    string `json:"part_name"`
	PartKey     string `json:"part_key"`
	PartType    int64  `json:"part_type"`
	IsRequire   int64  `json:"is_require"`
	TipsContent string `json:"tips_content"`
	MaxNum      int64  `json:"max_num"`
}

type OrderTemplateDetailReq struct {
	*requests.JsonRequest
	Id int64 `position:"Json" field:"id"`
}
type OrderTemplateDetailResp struct {
	*responses.BaseResponse
	Code int           `json:"code"`
	Msg  string        `json:"msg"`
	Data OrderTemplate `json:"data"`
}

func CreateOrderTemplateDetailReq(templateId int64) (req *OrderTemplateDetailReq) {
	req = &OrderTemplateDetailReq{
		JsonRequest: &requests.JsonRequest{},
		Id:          templateId,
	}
	req.InitWithApiInfo(HOST, VERSION, "/v1/work_order_template/detail")

	req.Method = requests.POST
	return
}
func CreateOrderTemplateDetailResp() (response *OrderTemplateDetailResp) {
	response = &OrderTemplateDetailResp{
		BaseResponse: &responses.BaseResponse{},
	}
	return
}
