package stat

import (
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk"
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/requests"
	"time"
)

const (
	VERSION = "2020-11-16"
)

var HOST = requests.Host{
	Default: "stat",
}

type Client struct {
	sdk.Client
}

func NewClient() (client *Client, err error) {
	client = new(Client)
	err = client.Init()
	return
}

// SyncGameServerList 同步开服数据
func (c *Client) SyncGameServerList(req *SyncGameServerListReq) (resp *SyncGameServerListResp, err error) {
	resp = CreateSyncGameServerListResp()
	err = c.DoAction(req, resp)
	if err != nil {
		return
	}

	return
}

func (c *Client) SetUserNewGameAuth(req *SetUserNewGameAuthReq) (resp *SetUserNewGameAuthResp, err error) {
	resp = CreateSetUserNewGameAuthResp()
	err = c.DoAction(req, resp)
	return
}

// GetAgentList 获取推广渠道列表
func (c *Client) GetAgentList(req *GetAgentListReq) (resp *GetAgentListResp, err error) {
	resp = CreateGetAgentListResp()
	err = c.DoAction(req, resp)
	if err != nil {
		return
	}
	return
}

// GetUserRoleRegPage 获取用户角色注册分页列表
func (c *Client) GetUserRoleRegPage(req *UserRoleRegReq) (resp *UserRoleRegResp, err error) {
	resp = CreateUserRoleRegPageResp()
	// 设置超时时间
	req.SetConnectTimeout(10 * time.Second)
	// 设置读取超时时间
	req.SetReadTimeout(20 * time.Second)
	err = c.DoAction(req, resp)
	if err != nil {
		return
	}
	return
}
